package car.models.com.data;

import car.models.com.def.CommonDef;
import car.models.com.util.CommonUtility;

/**
 * 価格帯情報クラス
 * @author
 *
 */
public class PriceRange {
    private static final long MIN_ALLOWANCE = 0L;
    private static final long MAX_ALLOWANCE = 999999999999L;
    private static final long UNIT_MAGNIFICATION = 10000;

    private long LowerLimit;
    private long UpperLimit;

    public PriceRange() {
        LowerLimit = MIN_ALLOWANCE;
        UpperLimit = MAX_ALLOWANCE;
    }

    /**
     * コンストラクタ
     * @param lower 下限値
     * @param upper 上限値
     */
    public PriceRange(String lower, String upper) {
        LowerLimit = MIN_ALLOWANCE;
        UpperLimit = MAX_ALLOWANCE;

        if (!CommonUtility.isNullOrEmpty(lower) && !CommonDef.LOWER_LIMIT.equals(lower)) {
            LowerLimit = CommonUtility.getLongParam(lower) * UNIT_MAGNIFICATION;
        }
        if (!CommonUtility.isNullOrEmpty(upper) && !CommonDef.UPPER_LIMIT.equals(upper)) {
            UpperLimit = CommonUtility.getLongParam(upper) * UNIT_MAGNIFICATION;
        }
    }

    public long getLowerLimit() {
        return LowerLimit;
    }
    public void setLowerLimit(long lowerLimit) {
        LowerLimit = lowerLimit;
    }
    public long getUpperLimit() {
        return UpperLimit;
    }
    public void setUpperLimit(long upperLimit) {
        UpperLimit = upperLimit;
    }

}
