package car.models.com.util;

import car.models.com.def.CommonDef;

/**
 * 共通ユーティリティクラス
 * @author
 *
 */
public class CommonUtility {

    /**
     * Nullまたは空文字かどうかを判定する
     * @param str 対象文字列
     * @return true: Nullまたは空文字である / false: Nullでも空文字でもない
     */
    public static boolean isNullOrEmpty(String str) {
        // return true, if str is null or empty
        if (str == null || "null".equals(str) || str.length() == 0) {
            return true;
        } else {
            // return true, if str is space only
            String strTrim = str.trim();
            if (strTrim.length() == 0) {
                return true;
            }
        }
        return false;
    }

    /**
     * 文字列をint型に変換する
     * @param value 対象文字列
     * @return 変換値
     */
    public static int getIntParam(String value) {
        try {
            return Integer.parseInt(value);
        } catch (NumberFormatException ex) {
            // 不正なデータだった場合、無効値を返す
            return CommonDef.INVALID_VALUE;
        }
    }

    /**
     * 文字列をlong型に変換する
     * @param value 対象文字列
     * @return 変換値
     */
    public static long getLongParam(String value) {
        try {
            return Long.parseLong(value);
        } catch (NumberFormatException ex) {
            // 不正なデータだった場合、無効値を返す
            return CommonDef.INVALID_VALUE;
        }
    }

    /**
     * 文字列をdouble型に変換する
     * @param value 対象文字列
     * @return 変換値
     */
    public static double getDoubleParam(String value) {
        try {
            return Double.parseDouble(value);
        } catch (NumberFormatException ex) {
            // 不正なデータだった場合、無効値を返す
            return CommonDef.INVALID_VALUE;
        }
    }
}
