package car.models.db;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

/**
 * DB共通クラス
 * @author
 *
 */
public class DBCommon {
    private Connection ConnectionObject;

    /**
     * DB接続オブジェクトを取得する
     * @return DB接続オブジェクト
     */
    protected Connection getConnection() {
        ConnectionObject = null;

        try {
            Context context = new InitialContext();
            DataSource ds = (DataSource)context.lookup("java:comp/env/jdbc/car");
            ConnectionObject = ds.getConnection();
        } catch (NamingException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }

        return ConnectionObject;
    }

    /**
     * 条件を指定文字区切りで連結する
     * @param condValue 条件データ一覧
     * @param oper 区切り文字 (例：AND、OR、','(カンマ))
     * @param isString 条件データを文字データとして扱うかどうか
     *  true: 扱う / false: 扱わない
     * @return
     */
    protected String combineCond(ArrayList<String> condValue, String oper, boolean isString) {
        if (condValue == null || condValue.size() < 1) {
            return "";
        }

        StringBuffer sb = new StringBuffer();

        for (int i = 0; i < condValue.size(); i++) {
            if (i > 0) {
                sb.append(" " + oper + " ");
            }
            if (isString) {
                sb.append("'").append(condValue.get(i)).append("'");
            } else {
                sb.append(condValue.get(i));
            }
        }

        return sb.toString();
    }
}
