package test.db;

import static org.junit.Assert.*;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

import javax.naming.Context;
import javax.naming.InitialContext;

import org.junit.BeforeClass;
import org.junit.Test;

import test.com.data.SampleContainer;
import test.com.util.COMDataDump;

import com.mysql.jdbc.jdbc2.optional.MysqlDataSource;

public class DBCarTest {
    private static List PackageList;

    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        PackageList = new ArrayList<String>();
        PackageList.add("test.com.data");
    }

    @BeforeClass
    public static void initJndi() throws Exception {
        System.setProperty(Context.INITIAL_CONTEXT_FACTORY, "org.apache.naming.java.javaURLContextFactory");
        System.setProperty(Context.URL_PKG_PREFIXES, "org.apache.naming");
        InitialContext ic = new InitialContext();
        ic.createSubcontext("java:");
        ic.createSubcontext("java:comp");
        ic.createSubcontext("java:comp/env");
        ic.createSubcontext("java:comp/env/jdbc");
        MysqlDataSource ds = new MysqlDataSource();
        ds.setUser("fuji0");
        ds.setPassword("fujimaru");
        ds.setURL("jdbc:mysql://192.168.184.129:3306/car");
        ic.bind("java:comp/env/jdbc/car", ds);
    }

    @Test
    public void test() {
        assertTrue(selectTest());
    }

    private boolean selectTest() {
        DBSample dbSample = new DBSample();
        if (!dbSample.select()) {
            return false;
        }

        SampleContainer container = dbSample.getOutputValue();
        if (container != null) {
            COMDataDump dump = new COMDataDump();
            try {
                dump.setTargetCategoryFromPackage(PackageList);
                Field field = SampleContainer.class.getDeclaredField("InfoList");
                dump.dumpData(container, field);
            }
            catch (Exception e) {
                e.printStackTrace();
            }
        }

        return true;
    }

}
