package test.db;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import test.com.data.SampleContainer;
import test.com.data.SampleInfo;
import car.models.db.DBCommon;

/**
 * DBサンプルテーブル操作クラス
 * @author
 *
 */
public class DBSample extends DBCommon {
    private static final String DBTBL_NAME = "test_sample";

    private SampleContainer InputValue;
    private SampleContainer OutputValue;

    public SampleContainer getInputValue() {
        return InputValue;
    }

    public void setInputValue(SampleContainer inputValue) {
        InputValue = inputValue;
    }

    public SampleContainer getOutputValue() {
        return OutputValue;
    }

    public void setOutputValue(SampleContainer outputValue) {
        OutputValue = outputValue;
    }

    /**
     * SQL:selectを実行する
     * @return true: 成功 / false: 失敗
     */
    public boolean select() {
        try {
            // DB接続オブジェクトを取得する
            Connection conn = getConnection();

            StringBuffer sql = new StringBuffer();

            // select文を生成する
            sql.append("SELECT ");
            sql.append("    * ");
            sql.append("FROM ");
            sql.append("    " + DBTBL_NAME);

            // SQL文の発行
            PreparedStatement prepStmt = conn.prepareStatement(sql.toString());
            ResultSet rs = prepStmt.executeQuery();

            OutputValue = new SampleContainer();

            // selectで取得したデータを車情報コンテナにセットする
            while (rs.next()) {
                SampleInfo info = new SampleInfo();
                info.setName(rs.getString("name"));
                info.setCategory(rs.getString("category"));
                info.setResult(rs.getInt("result"));
                OutputValue.getInfoList().add(info);
            }

            conn.close();
        }
        catch (SQLException e) {
            return false;
        }

        return true;
    }

}
