package test.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import test.com.data.SampleContainer;
import test.com.data.SampleInfo;
import car.models.com.util.CommonUtility;

public class SampleServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String nextPage = "/sample/SamplePage2.jsp";

        // 文字化け回避のため、UTF-8にエンコードする
        req.setCharacterEncoding("UTF-8");

        // セッションオブジェクトを取得する
        HttpSession session = req.getSession(true);

        // 受け取ったリクエストパラメータを取得する
        String reqName = req.getParameter("request");
        String name = req.getParameter("name");
        String category = req.getParameter("category");
        int result = CommonUtility.getIntParam(req.getParameter("result"));

        SampleContainer output = new SampleContainer();
        // リクエスト名を判定する
        if ("RQSet".equals(reqName)) {
            SampleInfo info = new SampleInfo();
            info.setName(name);
            if ("categoryA".equals(category)) {
                info.setCategory("Test1");
            } else  {
                info.setCategory("Test2");
            }
            info.setResult(result);
            output.getInfoList().add(info);
        }

        // 次の画面に渡す値をセットする
        session.setAttribute("value", output);

        // 次のページへ移動する
        RequestDispatcher rd = req.getRequestDispatcher(nextPage);
        rd.forward(req, resp);
    }

}
